Subject: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Thu, 12 Dec 2024 15:31:00 -0500

I have xterm-mouse-mode enabled when in tty mode on macOS and it does work
for clicking/selecting but this is independent of integrating the kill ring
with the pasteboard. I am unaware of how to test the completeness of the
xterm mouse protocol support, however.

On Thu, Dec 12, 2024 at 2:32 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Thu, 12 Dec 2024 14:18:47 -0500
> > Cc: Filipp Gunbin <[email-masked]>, [email-masked]
> >
> > It supports a subset of mouse behavior via this user setting:
> >
> >
> https://support.apple.com/guide/terminal/turn-on-mouse-reporting-trmlc69728a5/2.12/mac/11.0
>
> That doesn't tell enough.  xterm.el and xterm-mouse assume full
> support for the xterm protocols, so partial support could well explain
> why things don't work.
>
> In general, I don't recommend turn on xterm features on terminals
> other than xterm, unless they are faithful emulations of xterm.
>